class Kohana_Sniffs_Classes_EmptyConstructorCallSniff implements PHP_CodeSniffer_Sniff
{
   public function register()
   {
      return array(
         T_NEW
      );
   }
   public function process(PHP_CodeSniffer_File $phpcsFile, $stackPtr)
   {
      $open = $phpcsFile->findNext(
         T_OPEN_PARENTHESIS,
         $stackPtr,
         null,
         false,
         null,
         true
      );
      if ($open !== false
         && $phpcsFile->getTokensAsString($open, 2) == '()') {
         $phpcsFile->addError(
            'Parentheses should not be used in calls to class' .
               ' constructors without parameters',
             $stackPtr
         );
      }
   }
}
